Package org.eclipse.net4j.util.io

# Class XMLOutput

java.lang.Object
org.eclipse.net4j.util.io.XMLOutput

public class XMLOutput extends Object

Since:
  3.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`XMLOutput(OutputStream out)`

## Method Summary

Modifier and Type
Method
Description
`XMLOutput`
`attribute(String name, Object value)`
`XMLOutput`
`attributeOrNull(String name, Object value)`
`OutputStream`
`bytes()`
`Writer`
`characters()`
`Writer`
`characters(boolean cdata)`
`Map<String,String>`
`currentAttributes()`
`String`
`currentElement()`
`void`
`done()`
`XMLOutput`
`element(String name)`
`String`
`getIndentation()`
`String`
`getNewLine()`
`int`
`level()`
`XMLOutput`
`pop()`
`XMLOutput`
`push()`
`void`
`setIndentation(String indentation)`
`void`
`setNewLine(String newLine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLOutput

public XMLOutput(OutputStream out) throws TransformerConfigurationException, SAXException

Throws:
  `TransformerConfigurationException`
  `SAXException`

## Method Details

### getNewLine

public String getNewLine()

Since:
  3.20

### setNewLine

public void setNewLine(String newLine)

### getIndentation

public String getIndentation()

Since:
  3.20

### setIndentation

public void setIndentation(String indentation)

### element

public XMLOutput element(String name) throws SAXException

Throws:
  `SAXException`

### attribute

public XMLOutput attribute(String name, Object value) throws SAXException

Throws:
  `SAXException`

### attributeOrNull

public XMLOutput attributeOrNull(String name, Object value) throws SAXException

Throws:
  `SAXException`

### characters

public Writer characters() throws SAXException

Throws:
  `SAXException`

### characters

public Writer characters(boolean cdata) throws SAXException

Throws:
  `SAXException`
Since:
  3.20

### bytes

public OutputStream bytes() throws SAXException

Throws:
  `SAXException`

### currentElement

public String currentElement()

Since:
  3.20

### currentAttributes

public Map<String,String> currentAttributes()

Since:
  3.20

### level

public int level()

Since:
  3.20

### push

public XMLOutput push() throws SAXException

Throws:
  `SAXException`

### pop

public XMLOutput pop() throws SAXException

Throws:
  `SAXException`

### done

public void done() throws SAXException

Throws:
  `SAXException`